package routers

import (
	"github.com/go-chi/chi/v5"
	"github.com/tech/sendico/pkg/api/routers/health"
	"github.com/tech/sendico/pkg/api/routers/internal/healthimp"
	"github.com/tech/sendico/pkg/mlogger"
)

type Health interface {
	SetStatus(status health.ServiceStatus)
	Finish()
}

func NewHealthRouter(logger mlogger.Logger, router chi.Router, endpoint string) (Health, error) {
	return healthimp.NewRouter(logger, router, endpoint), nil
}
